<template>
    <div class="mta-footer">
        <p>{{footText }}</p>
    </div>
</template>

<script>
    import { mapGetters } from 'vuex';

    export default {
        name:     'Footer',
        computed: {
            footText() {
                let str = 'Copyright © 2019 llisoft.com All rights reserved 大连栋科软件工程有限公司 版权所有 辽ICP备09022904号-19';
                return this.getReplaceContext && this.getReplaceContext.footText ? this.getReplaceContext.footText : str;
            },
            ...mapGetters([
                              'getReplaceContext',
                          ]),
        },
    };
</script>
